<%@page import="org.activiti.engine.repository.ProcessDefinition"%>
<%@page import="org.activiti.engine.repository.Deployment"%>
<%@page import="com.blueland.bpm.engine.config.model.*"%>
<%@page import="com.blueland.bpm.common.page.*"%>
<%@page import="com.blueland.bpm.common.util.*"%>
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/commons/taglibs.jsp"%>
<%
	String path = request.getContextPath();
	String basePath = request.getScheme() + "://"
			+ request.getServerName() + ":" + request.getServerPort()
			+ path + "/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<%@ include file="/commons/meta.jsp"%>
<base href="<%=basePath%>">
<link href="${ctx}/resource/js/plugins/loadmask/jquery.loadmask.css" rel="stylesheet" type="text/css" />
<script type='text/javascript' src='${ctx}/resource/js/plugins/loadmask/jquery.loadmask.js'></script>

<title>导入流程模型</title>
<script>
	$(document).ready(function() {
		$('#file').ace_file_input({
			no_file : '请您选择本地BPMN文件！ ...',
			btn_choose : '选 择',
			btn_change : '选 择',
			droppable : false,
			onchange : null,
			thumbnail : false
		//| true | large
		//whitelist:'gif|png|jpg|jpeg'
		//blacklist:'exe|php'
		//onchange:''
		//
		});
		var flashSuccess = $("#flashSuccess").attr("value");
		if (flashSuccess == "导入成功!") {
			alert(flashSuccess);
			art.dialog.opener.location.reload();
			art.dialog.close();
		} else {
			if (flashSuccess != "") {
				alert(flashSuccess);
			}
			//bindMask();
		}
	});

	function onSubmit() {
		if ($("#file").val() == "" || $("#file").val().length == 0) {
			//unBindMask();
			alert("请您选择本地文件！");
			return false;
		}
		if(confirm("您确认导入流程吗？")){
			setMask("main-container");
			document.getElementById("deployFieldForm").submit();
		}
	}
</script>
</head>
<body>
	<%@ include file="/commons/messages.jsp"%>
	<div class="main-container" id="main-container">
		<div class="widget-box">
			<div class="widget-body">
				<div class="widget-main no-padding">
					<form id="deployFieldForm" name="deployFieldForm" action="${ctx}/procDefModelMgr/deploy.do" method="post" enctype="multipart/form-data">
						<!-- <legend>Form</legend> -->
						<fieldset>
							<ol>
								<li class="text-success"><b>暂只支持导入格式为*.zip、*.bar、*.bpmn\bpmn20.xml的模型文件，不支持批量导入。</b></li>
								<li class="text-success"><b>导入成功后可在(流程定义->已部署流程定义)菜单中管理该流程。</b></li>
							</ol>
							<div class="space-18"></div>
							<input type="hidden" id="flashSuccess" value="${flashSuccess }" />
								<input type="file" id="file" name="file"/>
						</fieldset>

						<div class="form-actions center">
							<input type="button" class="btn btn-sm btn-primary"
								id="submitButton" value="导  入" onclick="onSubmit();"/> <input
								onclick="art.dialog.close();" type="button"
								class="btn btn-sm btn-primary" value="关  闭" />

						</div>
					</form>
				</div>
			</div>
		</div>
</body>
</html>



